/ / dlaczego nie mogę uruchomić programu bzr explorer - python, macos, bazaar, bzr-svn

dlaczego nie mogę uruchomić bzr explorer - python, macos, bazar, bzr-svn

Mam pytona, jak widać w

which python

i również

➜  ~  brew install qt
Warning: qt-4.8.6 already installed
➜  ~  brew install pyqt
Warning: pyqt-4.10.4 already installed

ale potem próbuję uruchomić na moim OSX:

➜  ~  bzr explorer

i otrzymuje ten błąd:

invalid syntax (<string>, line 1)
Unable to load u"bzr-explorer" in u"/Users/me/.bazaar/plugins" as a plugin because the file path isn"t a valid module name; try renaming it to u"explorer".
bzr: ERROR: No module named PyQt4
You may need to install this Python library separately.

Odpowiedzi:

1 dla odpowiedzi № 1

Wygląda na to, że zainstalowana jest wtyczka Bazaar Explorer /Users/me/.bazaar/plugins/bzr-explorer. Zmień nazwę tego katalogu na /Users/me/.bazaar/plugins/explorer a potem powinno działać. (Jak starał się przekazać ci komunikat o błędzie.)

Przy okazji, polecam korzystanie z dmg plik z oficjalnej strony internetowej (http://wiki.bazaar.canonical.com/MacOSXDownloads). Bazaar Explorer jest zawarty w nim i powinien działać po wyjęciu z pudełka.